------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情5
--Creator:		江宇君
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>236
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(125,188)
-- CppScriptMgr:SetViewPosByCell(233, 261)


------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()

hero:SetDir(7)
hero:SetPos(125,188)

CppScriptMgr:AddEffect("bossmykj_lj", 126,189)
hero:SetAction(404)
CppScriptMgr:WaitMilSec(500)
hero:Say("Mighty dragon!",2000)
CppScriptMgr:AddEffect("5fire", 126,189)
CppScriptMgr:WaitMilSec(500)

CppScriptMgr:AddEffect("Ia_Cir", 126,189)
CppScriptMgr:AddEffect("Ia_Cir", 134,197)
CppScriptMgr:AddEffect("Ia_Cir", 122,195)
CppScriptMgr:AddEffect("Ia_Cir", 111,191)
CppScriptMgr:AddEffect("Ia_Cir", 114,174)
CppScriptMgr:AddEffect("Ia_Cir", 126,178)
CppScriptMgr:AddEffect("Ia_Cir", 136,187)

hero:SetAction(402)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(403)
CppScriptMgr:WaitMilSec(500)
hero:Say("Deadly curse!",2000)
CppScriptMgr:AddEffect("5fire", 126,189)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(405)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(406)
CppScriptMgr:WaitMilSec(500)
hero:Say("Universal protection!",2000)
CppScriptMgr:AddEffect("5fire", 126,189)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(407)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(408)
hero:Say("Be invincible!",2000)
CppScriptMgr:AddEffect("5fire", 126,189)
CppScriptMgr:WaitMilSec(500)


CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)